org.wildfly.swarm.config.ejb3

## Class FilePassivationStore<T extends FilePassivationStore<T>>

- java.lang.Object
- - org.wildfly.swarm.config.ejb3.FilePassivationStore<T>

-     public class FilePassivationStore<T extends FilePassivationStore<T>>
      extends Object

  A file system based passivation store

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilePassivationStore(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `Long` | `idleTimeout()` The timeout in units specified by idle-timeout-unit, after which a bean will passivate
    `T` | `idleTimeout(Long value)` The timeout in units specified by idle-timeout-unit, after which a bean will passivate
    `Integer` | `maxSize()` The maximum number of beans this cache should store before forcing old beans to passivate
    `T` | `maxSize(Integer value)` The maximum number of beans this cache should store before forcing old beans to passivate
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilePassivationStore

          public FilePassivationStore(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### idleTimeout

          public Long idleTimeout()

      The timeout in units specified by idle-timeout-unit, after which a bean will passivate

    - #### idleTimeout

          public T idleTimeout(Long value)

      The timeout in units specified by idle-timeout-unit, after which a bean will passivate

    - #### maxSize

          public Integer maxSize()

      The maximum number of beans this cache should store before forcing old beans to passivate

    - #### maxSize

          public T maxSize(Integer value)

      The maximum number of beans this cache should store before forcing old beans to passivate

Copyright © 2017 JBoss by Red Hat. All rights reserved.